Page MenuHomePhabricator

titles parameter is broken on Special:ApiSandbox
Closed, DuplicatePublic

Description

The titles parameter is broken on Special:ApiSandbox.

Reproduction steps:

  1. Go to https://en.wikipedia.org/wiki/Special:ApiSandbox
  2. Under action, select query
  3. Click on action=query
  4. Under prop, select revisions
  5. Under titles, enter Wikipedia:Village pump (technical)
  6. Click on "Make request"

As can be seen in the results, the titles property is there, but it is always an empty string.

Event Timeline

Nirmos created this task.Jun 10 2018, 2:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2018, 2:53 PM
Anomie added a subscriber: Anomie.

The parameter works fine, but the widget used has confusing behavior.

Vvjjkkii renamed this task from titles parameter is broken on Special:ApiSandbox to cbbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from cbbaaaaaaa to titles parameter is broken on Special:ApiSandbox.Jul 2 2018, 2:58 PM
CommunityTechBot closed this task as a duplicate.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.